View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001036Ecere SDKidepublic2013-12-01 21:022014-05-19 01:33
Reporterjerome 
Assigned Toredj 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001036: Failures to go to source file from error log
DescriptionErrors reported as:

src/foo/bar/bla.c:

In an added library project (Where src really is in ../src relative to the main project) do not open from bulid log.

This happens a lot from warnings/errors building GNOSIS with GCC 4.8.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001149)
redj (administrator)
2014-01-21 17:09

possible to give a test case?
(0001157)
jerome (administrator)
2014-02-03 23:14

This happens for any warning or error with GCC 4.8 which shows with a caret by default. (e.g. the Android/ARM GCC 4.8 compiler)

e.g. unused variables.

The error messages will show up with no space at all in the Build log, and go to location will not work. It would be nice if we could figure out why the caret messes up the indenting of the message and fix it.

As a work-around, -fno-diagnostics-show-caret will prevent this problem from happening in the Compiler 'Additional Compiler Flags' option, as the warning will display on a single line as before 4.8.

- Issue History
Date Modified Username Field Change
2013-12-01 21:02 jerome New Issue
2013-12-01 21:02 jerome Status new => assigned
2013-12-01 21:02 jerome Assigned To => redj
2014-01-21 17:09 redj Note Added: 0001149
2014-02-03 23:14 jerome Note Added: 0001157
2014-02-09 03:57 redj Status assigned => resolved
2014-02-09 03:57 redj Fixed in Version => 0.44.10 64
2014-02-09 03:57 redj Resolution open => fixed
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker